package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

/**
 * 富士 业务接口
 */
public interface IFuShiService {

    /**
     * 获取停车信息（通过车牌号）
     *
     * @param carNo
     * @return
     */
    ResponseBean getParkInfoByCarNo(String carNo);

    /**
     * 第三方月卡上发续费
     * @param Phone 车主手机号
     * @param RenewDayType 续费日期类型: 3:年; 2:月; 1:日;
     * @param RenewDay 续费日期数目
     * @param PayStyle 交易方式(中文描述)，例如：微信、 支付宝、 银联
     * @param CarNo 车牌号
     * @param CardNo 停车卡号
     * @param RechargeAmt 充值续费金额
     * @return
     */
    ResponseBean apiThirdPartyMonthCardPay(String Phone, String RenewDayType, String RenewDay, String PayStyle, String CarNo, String CardNo, String RechargeAmt);


    /**
     * 第三方临时卡上发缴费
     * @param Amount 应缴金额（单位元）
     * @param ActualAmount 实缴金额（单位元）
     * @param DeductionAmount 抵扣金额（单位元）
     * @param Reason 抵扣原因
     * @param PayStyle 交易方式(汉字描述)，例如：微信、支付宝、银联
     * @param CarNo 车牌号
     * @param CardNo 停车卡号
     * @param CouponList 使用的优惠券列表(JSON字符串)
     *               MerchantName: 商户名称
     *               CouponType: 优惠券优惠类型1全免2减免金额3减免时长4减免百分比
     *               CouponValue： 对应优惠券类型的值 金额/时间/折扣
     *               CouponCode： 优惠券编码
     *               FavorableType： 优惠券类型1 纸质券 2 电子券 3 活动券
     *               UseStatus：标识优惠券是线上或线下使用的状态 1只在线上使用 2只在线下使用 3线上线下都可以使用
     *               IsAuto： 是否自动使用优惠券1是2否
     *               EndTime： 截至时间
     *               CouponDescribe： 优惠券描述
     *               CouponName： 优惠券名称
     *
     * @return
     */
    ResponseBean apiThirdPartyTemporaryCardPay(String Amount, String ActualAmount, String DeductionAmount, String Reason, String PayStyle, String CarNo, String CardNo, String CouponList);

    /**
     * 获取线下算费结果
     * @param CarNoOrCardNo 车牌号码或卡号
     * @return
     */
    ResponseBean apiGetOfflineFee(String CarNoOrCardNo);
}
